cmake_minimum_required(VERSION 3.15)

set(VTK_ENABLE_WRAPPING OFF)
set(VTK_MODULE_ENABLE_VTK_GUISupportQt "YES" CACHE STRING "")
set(VTK_MODULE_ENABLE_VTK_RenderingQt "YES" CACHE STRING "")
set(VTK_MODULE_ENABLE_VTK_ViewsQt "YES" CACHE STRING "")

include(FetchContent)

FetchContent_Declare(
  vtk
  URL https://www.vtk.org/files/release/9.1/VTK-9.1.0.tar.gz
  URL_HASH SHA256=8fed42f4f8f1eb8083107b68eaa9ad71da07110161a3116ad807f43e5ca5ce96)

FetchContent_MakeAvailable(vtk)
